Bug 980099 - [GSS] (6.4.0) No help message for 'alias' command
[GSS] (6.4.0) No help message for 'alias' command
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity low
: ---
: EAP 6.4.0
Assigned To: Joe Wertz
Petr Kremensky
:
Depends On:
Blocks: 1134282
  Show dependency treegraph
 
Reported: 2013-07-01 08:27 EDT by Petr Kremensky
Modified: 2016-01-04 00:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1134282 (view as bug list)
Environment:
Last Closed: 2015-03-23 09:31:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1628 Major Open alias --help print nothing on jboss-cli 2016-10-13 05:46 EDT

  None (edit)
Description Petr Kremensky 2013-07-01 08:27:17 EDT
Description of problem:
There is no help message for alias command.

Version-Release number of selected component (if applicable):
EAP 6.1.1 ER1

Steps to Reproduce:
start EAP and connect to CLI
[...@localhost:9999 /] alias --help

Actual results:
nothing

Expected results:
At least some short message like it is for 'pwd' and 'quit' commands with some simple usage example.
Comment 3 Ståle W. Pedersen 2013-07-22 09:21:57 EDT
hi, would it be sufficient to have similar info as bash regarding alias:
$ alias --help
bash: alias: --: invalid option
alias: usage: alias [-p] [name[=value] ... ]
Comment 4 Petr Kremensky 2013-07-22 09:58:37 EDT
Hi, this will not work, there is no [-p] option and I wasn't able to add more aliases on single line eg. 
alias cd="cd subsystem=logging" ls="ls -l"

creates 
alias cd='cd subsystem=logging" ls="ls -l'
not 
alias cd='cd subsystem=logging'
alias ls='ls -l'
Comment 5 Ståle W. Pedersen 2013-07-22 10:03:45 EDT
yes, i know it doesnt support -p and more that one alias on a single line, it was more meant as a general help msg example.
- ill try to implement that though later :)
Comment 6 Petr Kremensky 2013-07-22 10:29:11 EDT
I see :), than something like this would be IMO sufficient.
Comment 8 Carlo de Wolf 2015-03-23 09:31:09 EDT
Triage: Needs feature in AESH.

Note You need to log in before you can comment on or make changes to this bug.